from django.db import models

class Manifest(models.Model):
  month = models.CharField(max_length=3)
  year = models.IntegerField(max_length=4)
  filename = models.CharField(max_length=256)

  def __unicode__(self):
    return self.filename

#['type', 'number', 'date', 'ship_name', 'captain', 'flag', 'trader', 'port', 'country']
class Ship(models.Model):
  manifest_file = models.ForeignKey(Manifest)
  bill_type = models.CharField(max_length=50)
  number = models.IntegerField(max_length=20)
  date = models.DateField()
  ship_name = models.CharField(max_length=255)
  captain = models.CharField(max_length=255)
  flag = models.CharField(max_length=255)
  owner = models.CharField(max_length=255)
  port = models.CharField(max_length=255)
  country = models.CharField(max_length=255)

  def __unicode__(self):
    return "%d: %s" % (self.number, self.ship_name,)

#['description', 'package_type', 'no_of_packages', 'weight', 'value']
class Good(models.Model):
  ship = models.ForeignKey(Ship)
  description = models.TextField()
  package_type = models.CharField(max_length=256)
  no_of_packages = models.IntegerField(max_length=20, null=True)
  weight = models.IntegerField(max_length=20, null=True)
  value = models.IntegerField(max_length=20, null=True)

  def __unicode__(self):
    return self.description

# Create your models here.
